@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  main a,
  footer a {
    @apply underline;
  }
}

@layer components {
  .button-primary {
    @apply inline-block px-5 py-3 mr-3 text-base font-medium text-center text-white rounded-lg bg-mbz-purple-500 hover_bg-mbz-purple-700 focus_ring-4 focus_ring-mbz-purple-300 dark_focus_ring-mbz-purple-900 no-underline whitespace-nowrap;
  }

  .button-outlined {
    @apply inline-flex items-center justify-center px-5 py-3 text-base font-medium text-center text-gray-900 border border-gray-300 rounded-lg hover_bg-gray-100 focus_ring-4 focus_ring-gray-100 dark_text-white dark_border-gray-700 dark_hover_bg-gray-700 dark_focus_ring-gray-800 no-underline;
  }

  .flash-message {
    @apply p-4 mb-4 rounded-lg;
  }
}
